#!/bin/bash

REGS=$1
KIND=$2

dc_cd_reg=$(((REGS >> 0) & 1))
dc_pd_reg=$(((REGS >> 1) & 1))
dc_od_reg=$(((REGS >> 2) & 1))
ec_mc_reg=$(((REGS >> 3) & 1))
ec_cb_reg=$(((REGS >> 4) & 1))
op_ss_reg=$(((REGS >> 5) & 1))

predictor=$(((KIND >> 0) & 1))
shift_mul=$(((KIND >> 1) & 1))
specialbld=$(((KIND >> 2) & 1))
specialtype=$(((KIND >> 0) & 3))

while read x
do
    echo "$x" | \
	sed -e "s/\(specialbld  : integer := \)[01]/\1$specialbld/"  | \
	sed -e "s/\(specialtype : integer := \)[0123]/\1$specialtype/" | \
	sed -e "s/\(predictor   : integer := \)[01]/\1$predictor/" | \
	sed -e "s/\(shift_mul   : integer := \)[01]/\1$shift_mul/" | \
	sed -e "s/\(dc_cd_reg   : integer := \)[01]/\1$dc_cd_reg/" | \
	sed -e "s/\(dc_pd_reg   : integer := \)[01]/\1$dc_pd_reg/" | \
	sed -e "s/\(dc_od_reg   : integer := \)[01]/\1$dc_od_reg/" | \
	sed -e "s/\(ec_mc_reg   : integer := \)[01]/\1$ec_mc_reg/" | \
	sed -e "s/\(ec_cb_reg   : integer := \)[01]/\1$ec_cb_reg/" | \
	sed -e "s/\(op_ss_reg   : integer := \)[01]/\1$op_ss_reg/"
done
