-- -*- vhdl-basic-offset: 4 -*-

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

package tb_dptc_config_pkg is
    -- width of input data
    constant tb_input_width: natural := BITS;
    -- width of output data
    constant tb_output_width: natural := 32;

    constant specialbld  : integer := 0;
    constant specialtype : integer := 0;

    constant predictor   : integer := 0;
    constant shift_mul   : integer := 0;

    constant dc_cd_reg   : integer := 0;
    constant dc_pd_reg   : integer := 0;
    constant dc_od_reg   : integer := 0;
    constant ec_mc_reg   : integer := 0;
    constant ec_cb_reg   : integer := 0;
    constant op_ss_reg   : integer := 0;

end tb_dptc_config_pkg;
